#!/bin/bash
#RLW 2016
if [ $# -ne 4 ]; then
        echo "Usage: $(basename $0) <FASTA assembly .fa> <FASTA long sequences .fa> <anchoring sequence length eg. 250> <min sequence identity 0.95>"
        exit 1
fi
###Change line below to point to path of bwa executables
export PATH=/gsc/btl/linuxbrew/bin:$PATH
echo Scaffolding $1 contigs using long sequences $2 -- anchoring sequence threshold $3 bp 
echo reformatting file $1
cat $1 | perl -ne 'if(/^\>/){$ct++;}else{my $len=length($_);print ">wga$ct,$len\n$_";}' > $1-formatted.fa
echo reformatting file $2
cat $2 | perl -ne 'if(/^\>/){$ct++;}else{my $len=length($_);print ">seq$ct,$len\n$_";}' > $2-formatted.fa
echo Building sequence database index out of your $1-formatted.fa assembly contigs..
bwa index $1-formatted.fa
echo Aligning long sequences $2-formatted.fa to your contigs..
bwa mem -a -t4 $1-formatted.fa $2-formatted.fa  > $2_vs_$1.sam
echo Scaffolding $1-formatted.fa using $2-formatted.fa and filling gaps with sequences in $2-formatted.fa
./RAILS -f $1-formatted.fa -s $2_vs_$1.sam -d $3 -i $4 -b $2_vs_$1_$3 -q $2-formatted.fa
echo Process terminated.
